minor thinkpad changes

main
spinach 10 months ago
parent f6320e632a
commit 59d8af8018

@ -7,14 +7,15 @@ SYNC_IN_PROGRESS=$(printf '%s%s' '%{F#FF0}' $(echo -e '\Uf1216')) # yellow
SYNC_FAILED=$(printf '%s%s' '%{F#F00}' $(echo -e '\Uf0b98')) # red
if ! command -v seaf-cli &>/dev/null ; then
echo "Seafile not downloaded to device!">&2
echo "depends on seaf-cli">&2
echo "$SYNC_FAILED"
exit 1
fi
# getting folder status and trimming headers
SEAFILE_STATUS=$(seaf-cli status | tail -n +2)
SEAFILE_STATUS=$(seaf-cli status 2>/dev/null | tail -n +2)
ERRORS=$(echo "$SEAFILE_STATUS" | grep "error")
if [[ -n "$ERRORS" ]] ; then
# some directories have errors
echo "Error: Failed to sync">&2

@ -38,7 +38,7 @@ font-0 = Hack Nerd Font:size=10;2
height = 14pt
; modules
modules-left = xworkspaces weather-thinkpad
modules-right = battery pulseaudio memory cpu wlan uptime seafile calendar-sync bg-selector date-tp powermenu
modules-right = battery pulseaudio memory cpu wlan seafile calendar-sync bg-selector date-tp powermenu
[bar/desktop-bar]
; desktop bar config

Loading…
Cancel
Save